﻿namespace EDPlayerJournal.Entries;

public class PowerplayMeritsEntry : Entry {
    protected override void Initialise() {
        Power = JSON.Value<string?>("Power") ?? string.Empty;
        MeritsGained = JSON.Value<long?>("MeritsGained") ?? 0;
        TotalMerits = JSON.Value<long?>("TotalMerits") ?? 0;
    }

    public string Power { get; set; } = string.Empty;

    public long MeritsGained { get; set; } = 0;

    public long TotalMerits { get; set; } = 0;
}
